Bug 1014018 - One of ModelControllerClient.Factory methods is not passing saslOptions
One of ModelControllerClient.Factory methods is not passing saslOptions
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER7
: EAP 6.2.0
Assigned To: Emanuel Muckenhuber
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 05:29 EDT by Jakub Cechacek
Modified: 2015-02-01 18:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-10-01 05:29:48 EDT
The following factory method of org.jboss.as.controller.client.ModelControllerClient.Factory is not passing the saslOptions attribute over 

public static ModelControllerClient create(final String hostName, final int port, final CallbackHandler handler, final SSLContext sslContext, final    int connectionTimeout, final Map<String, String> saslOptions) throws UnknownHostException {
    return create(ClientConfigurationImpl.create(hostName, port, handler, sslContext, connectionTimeout));
}
Comment 1 Jakub Cechacek 2013-10-01 05:31:40 EDT
More readable snippet 

http://pastebin.test.redhat.com/167253
Comment 5 Petr Kremensky 2013-10-31 06:18:48 EDT
Verified on EAP 6.2.0.ER7.

Note You need to log in before you can comment on or make changes to this bug.